Name:     mock-mageia-configs
Version:  8
Release:  %mkrel 2
Summary:  Extra configs for Mageia for Mock
URL:      https://mageia.org/
Group:    System/Packaging
License:  MIT

# Mageia release mock config templates
Source0:  mageia-release-extrasect-mockcfg

# Cauldron mock config templates
Source100:  cauldron-extrasect-mockcfg

Requires: mock-core-configs >= 33.6

BuildArch: noarch

%description
This package provides Mock configuration files to build packages
for extra repository sections (nonfree, tainted, etc.)


%prep
# Nothing to prepare

%build
# Nothing to build

%install
# Install the configs
mkdir -p %{buildroot}%{_sysconfdir}/mock

# Distribution releases to generate configs for
DISTRO_RELEASES=(7 8)

# Distribution architectures to generate configs for
DISTRO_ARCHES=(x86_64 i586 armv7hl aarch64)

for DISTRO_ARCH in ${DISTRO_ARCHES[@]}; do
   for DISTRO_RELEASE in ${DISTRO_RELEASES[@]}; do
       ## Create the configuration files for various sections
       install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH}-nonfree.cfg
       install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH}-tainted.cfg
       sed -e "s/@RELEASEVER@/${DISTRO_RELEASE}/g" -i %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-*.cfg
   done

   install %{S:100} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-cauldron-${DISTRO_ARCH}-nonfree.cfg
   install %{S:100} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-cauldron-${DISTRO_ARCH}-tainted.cfg

   ## Fill in the correct values for the installed repo files
   sed -e "s/@DIST_ARCH@/${DISTRO_ARCH}/g" -i %{buildroot}%{_sysconfdir}/mock/*${DISTRO_ARCH}*.cfg

done

sed -e "s/@DIST_SECTION@/nonfree/g" \
    -e "s/@DIST_SECTION_NAME@/Nonfree/g" \
    -i %{buildroot}%{_sysconfdir}/mock/*-nonfree.cfg

sed -e "s/@DIST_SECTION@/tainted/g" \
    -e "s/@DIST_SECTION_NAME@/Tainted/g" \
    -i %{buildroot}%{_sysconfdir}/mock/*-tainted.cfg


%files
%defattr(0644, root, mock)
%config(noreplace) %{_sysconfdir}/mock/*.cfg



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 8-2.mga9
+ Revision: 1813870
- Mageia 9 Mass Rebuild

* Tue Feb 02 2021 ngompa <ngompa> 8-1.mga8
+ Revision: 1674532
- Update for Mageia 8 and mock-core-configs 33.6

* Fri Feb 14 2020 umeabot <umeabot> 7-2.mga8
+ Revision: 1523115
- Mageia 8 Mass Rebuild

* Thu Feb 21 2019 ngompa <ngompa> 7-1.mga7
+ Revision: 1369204
- Update for Mageia 7

* Thu Sep 20 2018 umeabot <umeabot> 6-3.mga7
+ Revision: 1279944
- Mageia 7 Mass Rebuild

* Sun Jan 21 2018 ngompa <ngompa> 6-2.mga7
+ Revision: 1195548
- Add URL to package definition

* Fri Jul 07 2017 ngompa <ngompa> 6-1.mga6
+ Revision: 1109430
- Bump for Mageia 6 final

* Wed Mar 01 2017 ngompa <ngompa> 6-0.2.mga6
+ Revision: 1088333
- Add definition for %%distro_section macro to config files

* Tue Feb 21 2017 ngompa <ngompa> 6-0.1.mga6
+ Revision: 1087205
- imported package mock-mageia-configs


* Tue Feb 21 2017 Neal Gompa <ngompa13@gmail.com> - 6-0.1
- Initial packaging
